Bug 233758 - SELinux is preventing /usr/libexec/hal-system-sonypic (hald_t) "write" to sonypi (v4l_device_t).
SELinux is preventing /usr/libexec/hal-system-sonypic (hald_t) "write" to son...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-24 14:36 EDT by Christopher Aillon
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:15:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Aillon 2007-03-24 14:36:35 EDT
Only going to paste one, but I get three separate avc messages preventing
"write" "ioctl" and "read". 

Summary
    SELinux is preventing /usr/libexec/hal-system-sonypic (hald_t) "write" to
    sonypi (v4l_device_t).

Detailed Description
    SELinux denied access requested by /usr/libexec/hal-system-sonypic. It is
    not expected that this access is required by /usr/libexec/hal-system-sonypic
    and this access may signal an intrusion attempt. It is also possible that
    the specific version or configuration of the application is causing it to
    require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for sonypi, restorecon -v sonypi If
    this does not work, there is currently no automatic way to allow this
    access. Instead,  you can generate a local policy module to allow this
    access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you
    can disable SELinux protection altogether. Disabling SELinux protection is
    not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:hald_t
Target Context                system_u:object_r:v4l_device_t
Target Objects                sonypi [ chr_file ]
Affected RPM Packages         hal-0.5.9-0.git20070304.fc7 [application]
Policy RPM                    selinux-policy-2.5.9-5.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   plugins.catchall_file
Host Name                     mithrandir.roheryn.net
Platform                      Linux mithrandir.roheryn.net 2.6.20-1.3016.fc7 #1
                              SMP Thu Mar 22 14:21:44 EDT 2007 i686 i686
Alert Count                   10
First Seen                    Wed 21 Mar 2007 11:56:46 AM EDT
Last Seen                     Sat 24 Mar 2007 01:04:14 PM EDT
Local ID                      502767f3-2102-4e07-b6bd-667396011f1e
Line Numbers                  

Raw Audit Messages            

avc: denied { write } for comm="hal-system-sony" dev=tmpfs egid=0 euid=0
exe="/usr/libexec/hal-system-sonypic" exit=3 fsgid=0 fsuid=0 gid=0 items=0
name="sonypi" pid=3035 scontext=system_u:system_r:hald_t:s0 sgid=0
subj=system_u:system_r:hald_t:s0 suid=0 tclass=chr_file
tcontext=system_u:object_r:v4l_device_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2007-04-05 10:43:57 EDT
Fixed in selinux-policy-2.5.11-4.fc7
Comment 2 Matthew Miller 2007-04-10 12:26:52 EDT
Fedora 7 test bugs should be filed against "devel", not against test1/2/3. This
isn't obvious, I know. Moving this report so it isn't lost.

This is a bulk message -- I apologize if this was actually meant to be targeted
against a different release. If so, please fix or let me know. Thanks.
Comment 3 Daniel Walsh 2007-08-22 10:15:44 EDT
Should be fixed in the current release

Note You need to log in before you can comment on or make changes to this bug.